declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- An index with a matching definition already exists

begin
  stat := '
  CREATE INDEX PERSON_PROFILE_LF1_IDX ON PERSON_PROFILE
  (lower(ACCOUNT_CODE), lower(PERMISSION_CODE), lower(PERMISSION_TYPE), lower(TARGET))
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- An index with a matching definition already exists

begin
  stat := '
  CREATE INDEX PERSON_PROFILE_F1_IDX ON PERSON_PROFILE
  (PERSON, PROFILE, STATUS)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE PERSON_PROFILE' );
