declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX PER_PRO_SERV_F1_IDX ON PERSON_PROFILE_SERVICE
  (PERSON_PROFILE, lower(NAME), lower(VALUE), lower(TARGET))
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX PER_PRO_SERV_F2_IDX ON PERSON_PROFILE_SERVICE
  (PERSON_PROFILE, SERVICE_ATTRIBUTE, lower(VALUE), STATUS)
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/
