declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- An index with a matching definition already exists

begin
  stat := '
  CREATE INDEX PER_PRO_SERV_F1_IDX ON PERSON_PROFILE_SERVICE
  (PERSON_PROFILE, lower(NAME), lower(VALUE), lower(TARGET))
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- An index with a matching definition already exists

begin
  stat := '
  CREATE INDEX PER_PRO_SERV_F2_IDX ON PERSON_PROFILE_SERVICE
  (PERSON_PROFILE, SERVICE_ATTRIBUTE, lower(VALUE), STATUS)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE PERSON_PROFILE_SERVICE' );
